Bug 189736 - Unicode character u7E6B is displayed incorrectly.
Summary: Unicode character u7E6B is displayed incorrectly.
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-japanese   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Leon Ho
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-24 06:22 UTC by C. N. Tsang
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-23 09:49:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The character should be displayed as shown in this file (14.31 KB, image/png)
2006-04-24 06:22 UTC, C. N. Tsang
no flags Details

Description C. N. Tsang 2006-04-24 06:22:12 UTC
Description of problem:
----------------------
When character encoding is set at UTF-8, the unicode character u7E6B is
displayed wrongly as the unicode character u64CA in Firefox, gedit, character
map, Konqueror.  (I have tested with test programs, but I think the problem
existed in the display of the character regardless of which program.)



How reproducible:
----------------
It can always be reproduced.

Steps to Reproduce:
------------------
Display the following HTML in Firefox

<html>
<head>
<title>test</title>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
</head>
<body><font size="+5">
<br><br>
7e6b&nbsp;&nbsp;&nbsp;&#x7e6b;<br>
64ca&nbsp;&nbsp;&nbsp;&#x64ca;
<br><br>
</font></body>
</html>



Expected results:
----------------
See the attached PNG file.

Comment 1 C. N. Tsang 2006-04-24 06:22:12 UTC
Created attachment 128139 [details]
The character should be displayed as shown in this file

Comment 2 C. N. Tsang 2006-06-23 09:49:13 UTC
Sorry, the bug shown be in fonts-japanese.  I have post a new bug #196433


Note You need to log in before you can comment on or make changes to this bug.